<%- include('../partials/header'); %>
<%- include('../partials/navbar'); %>
<%- include('../partials/scripts'); %>
<!-- Content Wrapper -->
<div id="content-wrapper" class="d-flex flex-column">
    <div id="content">
        <%- include('../partials/topbar') %>
        <!-- Begin Page Content -->
        <div class="container-fluid">
            <!-- Page Heading -->
            <div class="d-sm-flex align-items-center justify-content-between mb-4">
                <h1 class="h3 mb-0 text-gray-800"><%= title %></h1>
            </div>
            <!-- Content Row -->
            <div class="row">
                <!-- Area Chart -->
                <div class="col-xl-12">
                    <div class="card shadow mb-4">
                        <!-- Card Header - Dropdown -->
                        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                            <h6 class="m-0 font-weight-bold text-primary">Random text</h6>
                            <div class="dropdown no-arrow">
                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                    aria-labelledby="dropdownMenuLink">
                                    <div class="dropdown-header">Dropdown Header:</div>
                                    <a class="dropdown-item" href="#">Action</a>
                                    <a class="dropdown-item" href="#">Another action</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="#">Something else here</a>
                                </div>
                            </div>
                        </div>
                        <!-- Card Body -->
                        <div class="card-body">
                            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <% questionSets.forEach((questionSet) => { %>
                                    <tr>
                                        <td><%= questionSet.name %></td>
                                        <td>
                                            <a href="detail?id=<%= questionSet._id%>" target="_blank">
                                                <i class="fas fa-eye"></i>
                                            </a>
                                            <a href="edit?id=<%= questionSet._id%>" target="_blank">
                                                <i class="fas fa-pen"></i>
                                            </a>
                                        </td>
                                    </tr>
                                    <% }); %>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
    </div>

    <% include('../partials/footer'); %>
    <script>
        // answer id management
        var startID = 0;

        // add new input
        function newAnswer(id) {
            $('#answers').append(`
            <div id="answer-box-` + id + `" class="input-group form-group">
                <input id="answer-input-` + id + `" id="answer-input-` + id + `" type="text" class="form-control bg-light border-0 small" placeholder="Answer" aria-describedby="basic-addon2" required>
                <div class="input-group-append">
                    <div class="input-group-text">
                        Correct: &nbsp; <input type="radio" id="ok-answer-` + id + `" name="correctAnswer" value="` + id + `" aria-label="Checkbox for following text input">
                    </div>
                    <button data-id="` + id + `" class="btn-remove-answer-input btn btn-danger" type="button" id="button-addon2">X</button>
                </div>
            </div>
        `);
        }

        function removeAnswer(id) {
            $('#answer-box-' + id).remove();
        }

        // when the page is loaded...
        $(document).ready(function () {
            // when add answer button is clicked
            $('#btnAddAnswer').click(function (e) {
                e.preventDefault();

                newAnswer(startID++);

                return false;
            });

            // when remove button is clicked
            $('div#answers').on('click', '.btn-remove-answer-input', function (e) {
                e.preventDefault();

                var id = $(this).data('id');
                removeAnswer(id);

                return false;
            });

            // when the submit button is clicked
            $('#btnSubmit').click(function (e) {
                e.preventDefault();

                // prepare array of answers
                var answers = [];
                for (let i = 0; i < startID; i++) {
                    if ($('#answer-input-' + i).length > 0) {
                        answers.push({
                            text: $('#answer-input-' + i).val(),
                            correct: ($('#ok-answer-' + i).is(':checked') ? true : false),
                        });
                    }
                }

                // send data to the server
                $.post({
                    url: '/admin/questions/add/',
                    data: {
                        wording: document.getElementById('wording').value,
                        answers: answers, // objevi se v req.body.answers
                        timeToAnswer: document.getElementById('timeToAnswer').value,
                    },
                    success: function (response) {
                        if (response === 'ok') {
                            alert('Povedlo se!');
                            window.location.href = '/admin/';
                        }
                    },
                }).fail(function () {
                    alert('Chyba komunikace se serverem.');
                });

                return false;
            });
        });
    </script>
    </body>

    </html>